/*----------------------------------------------------------------------- 
 * 
 * File Name: Simple.h
 *
 * Author: Brown, D. A.
 * 
 * Revision: $Id: Simple.h,v 1.2 2001/06/04 05:18:24 duncan Exp $
 * 
 *-----------------------------------------------------------------------
 */

#ifndef _SIMPLE_H
#define _SIMPLE_H

#include <lal/LALStdlib.h>
#include <lal/AVFactories.h>
#include "LALWrapperInterface.h"

#ifdef  __cplusplus
extern "C" {
#endif

#define PKG "Simple: "

NRCSID (SIMPLEH, PKG "$Id: Simple.h,v 1.2 2001/06/04 05:18:24 duncan Exp $");

/* this is the SimpleSearch params structure */
typedef struct
tagSimpleSearchParams
{
  UINT4         numPoints;  /* number of points in the input data         */
  UINT4         maxCount;   /* max number of iterations of ApplySearch    */
  UINT4         counter;    /* current number of iterations of ApplSearch */
  REAL4Vector  *dataVec;    /* vector to store conditioned data           */
}
SimpleSearchParams;

#ifdef __cplusplus
}
#endif 

#endif /* _SIMPLE_H */
